[P013]Patent Legal Status

get
https://connect.patsnap.com/basic-patent-data/legal-status
Try in Sandbox

Receive legal status data by patent_id or patent_number. Legal status data includes simple legal status, legal status and event status. For more details please view the fields description in the developer document.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
stringb54b4e0c-c0f5-4cf6-9ede-36394a7e2f0b
patent_id
patent_number
stringUS20220119699A9
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patent_legal
objectPlease check the form: PatentLegalStatus
legal information
event_status
array[ "Transfer" ]
Event status:

such as: Transfer,License,Pledge,Trust,Opposition,Re-examination,Customs,Litigation,Preservation,Invalid-procedure,Oral-procedure,Declassification,Double application

legal_status
array[ "Examining" ]
Legal status:

such as: Published,Examining,Granted,Double,Abandoned-Undetermined,Abandoned-Voluntarily,Abandoned-Deemed,Withdrawn-Undetermined,Withdrawn-Voluntarily,Withdrawn-Deemed,Rejected,Revoked,Expired,Non-Payment,Restoration,Ceased,P-Revoked,Discontinuation,PCT published,PCT entering(designated period),PCT entering(designated expiration),unentered

simple_legal_status
array[ "Pending" ]
Simple legal status:

such as: Inactive,Active,Pending,Undetermined,PCT designated period,PCT designated expiration

status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patent_legal": {
        "event_status": [
          "Transfer"
        ],
        "legal_status": [
          "Examining"
        ],
        "simple_legal_status": [
          "Pending"
        ]
      }
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found